Bug 1177629 - [abrt] wxGlade: wxBoxSizer::CalcMin(): python2.7 killed by SIGSEGV
Summary: [abrt] wxGlade: wxBoxSizer::CalcMin(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGlade
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8a8413bc7ceac41d902c4a7816e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-29 14:19 UTC by Galik
Modified: 2015-09-06 17:05 UTC (History)
2 users (show)

Fixed In Version: 0.7.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 01:10:22 UTC


Attachments (Terms of Use)
File: backtrace (40.35 KB, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: core_backtrace (4.33 KB, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: dso_list (12.83 KB, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: environ (1.68 KB, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: maps (67.39 KB, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: open_fds (703 bytes, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details
File: var_log_messages (796 bytes, text/plain)
2014-12-29 14:19 UTC, Galik
no flags Details

Description Galik 2014-12-29 14:19:35 UTC
Description of problem:
Closing the application maes it crash every time

Version-Release number of selected component:
wxGlade-0.6.8-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        python /usr/bin/../lib/python2.7/site-packages/wxglade/wxglade.py
crash_function: wxBoxSizer::CalcMin
executable:     /usr/bin/python2.7
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 wxBoxSizer::CalcMin at src/common/sizer.cpp:1820
 #2 wxSizer::Layout at src/common/sizer.cpp:881
 #3 wxWindowBase::Layout at src/common/wincmn.cpp:1923
 #4 wxTopLevelWindowBase::DoLayout at src/common/toplvcmn.cpp:348
 #5 wxFrame::SetToolBar at src/gtk/frame.cpp:718
 #6 wxToolBarBase::~wxToolBarBase at src/common/tbarbase.cpp:437
 #7 wxToolBar::~wxToolBar at src/gtk/tbargtk.cpp:308
 #8 wxFrameBase::DeleteAllBars at src/common/framecmn.cpp:113
 #9 wxFrame::~wxFrame at src/gtk/frame.cpp:231
 #11 wxAppBase::DeletePendingObjects at src/common/appcmn.cpp:423

Comment 1 Galik 2014-12-29 14:19:39 UTC
Created attachment 974049 [details]
File: backtrace

Comment 2 Galik 2014-12-29 14:19:40 UTC
Created attachment 974050 [details]
File: cgroup

Comment 3 Galik 2014-12-29 14:19:41 UTC
Created attachment 974051 [details]
File: core_backtrace

Comment 4 Galik 2014-12-29 14:19:42 UTC
Created attachment 974052 [details]
File: dso_list

Comment 5 Galik 2014-12-29 14:19:43 UTC
Created attachment 974053 [details]
File: environ

Comment 6 Galik 2014-12-29 14:19:44 UTC
Created attachment 974054 [details]
File: exploitable

Comment 7 Galik 2014-12-29 14:19:45 UTC
Created attachment 974055 [details]
File: limits

Comment 8 Galik 2014-12-29 14:19:47 UTC
Created attachment 974056 [details]
File: maps

Comment 9 Galik 2014-12-29 14:19:48 UTC
Created attachment 974057 [details]
File: open_fds

Comment 10 Galik 2014-12-29 14:19:49 UTC
Created attachment 974058 [details]
File: proc_pid_status

Comment 11 Galik 2014-12-29 14:19:50 UTC
Created attachment 974059 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-08-28 10:23:14 UTC
wxGlade-0.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14476

Comment 13 Fedora Update System 2015-08-31 18:52:28 UTC
wxGlade-0.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGlade'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14476

Comment 14 Fedora Update System 2015-09-06 01:10:17 UTC
wxGlade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-09-06 17:05:19 UTC
wxGlade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.